public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cangjie/
Date: Fri, 10 Mar 2017 12:43:27 +0000 (UTC)	[thread overview]
Message-ID: <1489149772.a28313adbdf5e0b12f692bb713f7b58e875d6b24.soap@gentoo> (raw)

commit:     a28313adbdf5e0b12f692bb713f7b58e875d6b24
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 10 11:35:50 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Mar 10 12:42:52 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a28313ad

dev-python/cangjie: Port to EAPI 6

* Add py3.5 and 3.6 support

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 dev-python/cangjie/cangjie-1.2-r1.ebuild | 56 ++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/dev-python/cangjie/cangjie-1.2-r1.ebuild b/dev-python/cangjie/cangjie-1.2-r1.ebuild
new file mode 100644
index 00000000000..d3daf09ed18
--- /dev/null
+++ b/dev-python/cangjie/cangjie-1.2-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit autotools python-r1
+
+DESCRIPTION="The Python bindings to libcangjie"
+HOMEPAGE="http://cangjians.github.io"
+SRC_URI="https://github.com/Cangjians/pycangjie/releases/download/v${PV}/cangjie-${PV}.tar.xz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	app-i18n/libcangjie
+	${PYTHON_DEPS}"
+DEPEND="
+	${RDEPEND}
+	dev-python/cython[${PYTHON_USEDEP}]
+	virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${P}-cython-022.patch" )
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	myeconf() {
+		ECONF_SOURCE="${S}" econf PYTHON="${PYTHON}"
+	}
+	python_foreach_impl run_in_build_dir myeconf
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+	python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+	python_foreach_impl run_in_build_dir default
+	einstalldocs
+
+	# package only installs python modules
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2017-03-10 12:43 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-10 12:43 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-26  0:51 [gentoo-commits] repo/gentoo:master commit in: dev-python/cangjie/ Sam James
2021-09-13  7:49 Arthur Zamarin
2021-06-01 11:44 Sam James
2020-08-01 12:23 Akinori Hattori
2020-08-01 12:23 Akinori Hattori
2020-06-04  6:23 Agostino Sarubbo
2020-04-22 18:40 Michał Górny
2018-09-04 12:33 Akinori Hattori
2018-09-04 12:33 Akinori Hattori
2018-04-15 18:48 Patrice Clement
2017-03-10 12:43 David Seifert
2015-11-06  9:14 Agostino Sarubbo
2015-10-19  9:27 Agostino Sarubbo
2015-08-09  5:57 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1489149772.a28313adbdf5e0b12f692bb713f7b58e875d6b24.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox